SQLITE_UTF8(3)

NAME
SQLITE_UTF8, SQLITE_UTF16LE, SQLITE_UTF16BE, SQLITE_UTF16, SQLITE_ANY, SQLITE_UTF16_ALIGNED - text encodings

SYNOPSIS
#include <sqlite3.h>
#define SQLITE_UTF8
#define SQLITE_UTF16LE
#define SQLITE_UTF16BE
#define SQLITE_UTF16
#define SQLITE_ANY
#define SQLITE_UTF16_ALIGNED

DESCRIPTION
These constant define integer codes that represent the various text encodings supported by SQLite.

IMPLEMENTATION NOTES
These declarations were extracted from the interface documentation at line 5500.

    #define SQLITE_UTF8           1    /* IMP: R-37514-35566 */
    #define SQLITE_UTF16LE        2    /* IMP: R-03371-37637 */
    #define SQLITE_UTF16BE        3    /* IMP: R-51971-34154 */
    #define SQLITE_UTF16          4    /* Use native byte order */
    #define SQLITE_ANY            5    /* Deprecated */
    #define SQLITE_UTF16_ALIGNED  8    /* sqlite3_create_collation only */